#include <stdio.h>
#include <stdlib.h>
#include <sys/times.h>
#include <unistd.h>

#define BUFFSIZE 128

int main(int argc, char *argv[])
{
  int i, pn=1000;
  double x, y;
  double data[BUFFSIZE][2];
  FILE *GPLT;

  if (argc > 1 ) pn = atoi(argv[1]);

  for (i=0; i < BUFFSIZE; i++){
    data[i][0]=0;
    data[i][1]=0;
  }

  GPLT = popen("gnuplot -geometry 300x300 -persist","w");
  setlinebuf(GPLT);
  fprintf(GPLT, "set noxtics\n");
  fprintf(GPLT, "set yrange[-3:3]\n");
  // fprintf(GPLT, "set xrange[0:pi*10]\n");
  usleep(pn);

  for (i=1; i < BUFFSIZE; i++){
    scanf("%lf %lf", &x, &y);
      data[i][0]=x;
      data[i][1]=y;
  }

  while(1){
    fscanf(stdin,"%lf %lf", &x, &y);
    for (i=0; i < BUFFSIZE-1; i++){
      data[i][0]=data[i+1][0];
      data[i][1]=data[i+1][1];
    }
    data[BUFFSIZE-1][0]=x;
    data[BUFFSIZE-1][1]=y;

    fprintf(GPLT, "plot '-' with lp lt 1\n");
    for (i = 0; i < BUFFSIZE; i++){
      fprintf(GPLT, "%f %f\n",data[i][0],data[i][1]);
    }
    fprintf(GPLT,"e\n");
    usleep(pn);
  }
  fclose(GPLT);

  return 0;
}
